Subject: Issue: Locking namespaces vs. resources

From: "Eric Sedlar" <[email-masked]>
Date: Thu, 24 May 2001 19:29:38 -0700

There was a long discussion of locking a URL (so that a resource can't
move when locked) in the fall of 1999, and in looking back through the
archive, I didn't get a feeling of resolution that the spec should be
changed in any way.  The discussion started with:

http://lists.w3.org/Archives/Public/w3c-dist-auth/1999OctDec/0113.html

from Yaron, and there were a number of proposals to actually specify
whether you wanted a namespace lock or a resource lock, rather than
leaving this vague.  I still think this is very useful, for performance
reasons (I think Greg Stein mentioned that mod_dav must recursively
search the source directory for locks before doing a MOVE for just this
reason--not a good thing), and we definitely have a greater cost to lock
names vs. locking resources.  I'd like to be able to expose both and let
good clients deal with 302 responses and improve server performance,
rather than having servers implement only one and letting the client
guess what LOCK means.

--Eric